Subject: bug#52845: guix init freezes when ci.guix.gnu.org is unavailable

From: Mathieu Othacehe <[email-masked]>
Date: Tue, 28 Dec 2021 10:07:12 +0100

Hello,

This is a follow-up of the issue reported by Ricardo here:
https://issues.guix.gnu.org/52682.

When running this command:

--8<---------------cut here---------------start------------->8---
guix system init ~/guix/gnu/system/examples/desktop.tmpl /tmp
--8<---------------cut here---------------end--------------->8---

and simulating a connection loss, in the middle of its execution, this
way:

--8<---------------cut here---------------start------------->8---
sudo iptables -A INPUT -s 141.80.181.40 -j DROP
--8<---------------cut here---------------end--------------->8---

the init commands hangs forever. Looks like we are missing a timeout
somewhere.

Thanks,

Mathieu